
#include <TimerOne.h>


//include the library code
#include <AccelStepper.h> //stepper motors library

//include the library code
#include <Servo.h> //servo motor library
#include <Array.h>

//Define pins used for the Servo Motor
const int ServoPin = 7;

//Define pins used for the Ultra-Sonic Sensor
const int trigPin = A1;
const int echoPin = A0;

int angleArray [5];

Servo myServo; // create servo object to control a servo

int MaxAngle = 0; // variable to store the servo position
int MaxDistance =0; // variable to store the maximum distance

int Distance =0;

void setup() 
{
  Serial.begin (9600);
  
  //Define inputs and outputs
  pinMode(trigPin, OUTPUT);
  
  pinMode(echoPin, INPUT);

  //Define servo pin
  myServo.attach(7);

  //initialize servo position
  myServo.write(90);

  pinMode(13,OUTPUT);
  
}

long measuredDistance()
{
  digitalWrite(trigPin, LOW); // Clears the trigPin
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH); // Sets the trigPin on HIGH state for 10 micro seconds
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);  
 
  // Reads the echoPin, returns the sound wave travel time in microseconds
  long duration = pulseIn(echoPin, HIGH); 

  // Calculating the distance
  long distance = duration /29/2;
  
  return distance;
}

int AngleToGo()
{
  for (int i=0; i<6; i++)
  {
    myServo.write(i*45);
    delay (1000);
    Distance = measuredDistance();
    Serial.println(Distance);
    if (Distance >MaxDistance)
    {
      MaxDistance = Distance;
      MaxAngle = i*45;
    }
    
  }
  return MaxAngle;  
}

void loop() 
{
  MaxAngle = AngleToGo();
  Serial.println("Angle: ");
  Serial.println(MaxAngle);
  MaxAngle = 0;
  }
    
    
    
  
